### Constructor

# Clutter ScrollController new

#### Declaration [src]

    ClutterAction*
    clutter_scroll_controller_new (
      ClutterScrollControllerFlags flags
    )

#### Description [src]

Returns a newly created scroll controller. This controller may be used to handle discrete or continuous scroll on either axis.

#### Parameters

`flags`

  Type: `ClutterScrollControllerFlags`

  Flags affecting controller behavior.

#### Return value

Type: `ClutterAction`

A newly created scroll controller.

The data is owned by the called function.